polygene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Merlin <paulmer...@apache.org>
Subject Re: [VOTE] [CANCEL] Release Polygene (Java Edition) version 3.0.0
Date Thu, 18 May 2017 06:59:04 GMT
Niclas Hedhman a écrit :
> Also, I get a second Gradle download during the build, although 3.5 has
> been downloaded before.

It may be because one is using the -bin Gradle dist where the other one
is using the -all Gradle dist.

> :tools:generator-polygene:setsCurrentVersionToPackageJson
> :tools:generator-polygene:npmTest
>
>> generator-polygene@3.0.0 test
> /Users/niclas/temp/apache-polygene-java-3.0.0-src/tools/generator-polygene
>> mocha ./test/generator_test.js --reporter mocha-junit-reporter
> --reporter-options
> mochaFile=../../reports/tests/npmTest/generator-polygene.xml
>
> Downloading https://services.gradle.org/distributions/gradle-3.5-all.zip
> ......................................................................................................................................................................................................
> <==========---> 82% EXECUTING
>> :tools:generator-polygene:npmTest

Humf, this made me realize that :tools:generator-polygene includes a
copy of the Gradle wrapper jar ...

./tools/generator-polygene/app/templates/buildtool/gradle-wrapper.jar_

It means that we should adapt the generator build to reuse the wrapper
in use, or something like that.

This "no wrapper jar in source distro" story is getting complicated.

I'll take a stab at fixing this but it will have to wait a couple more days.

Cheers

/Paul







Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message